Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display
Interface DisplayCapabilities

    public interface DisplayCapabilities

Objects implementing the interface `DisplayCapabilities` provide runtime information about the capabilities of a given implementation.

Method Summary
`GraphicStyle` | `getDefaultGraphicStyle()` Returns an `GraphicStyle` object, configured to the defaults for the `DisplayFactory` for this `Capabilities` instance.
`ArrowStyle[]` | `getSupportedArrowStyles()` Returns an array of `ArrowStyle` objects that indicates the arrow styles that are supported by a given implementation.
`Class[]` | `getSupportedCanvases()` Returns an array of `Class` objects for the `Canvas` interfaces that are supported by a given implementation.
`FillPattern[]` | `getSupportedFillPatterns()` Returns an array of `FillPattern` objects that indicates the fill patterns that are supported by a given implementation.
`FillStyle[]` | `getSupportedFillStyles()` Returns an array of `FillStyle` objects that indicates the fill styles supported by a given implementation.
`LineCap[]` | `getSupportedLineCaps()` Returns an array of `LineCap` objects that indicates the line cap styles that are supported by a given implementation.
`LineJoin[]` | `getSupportedLineJoins()` Returns an array of `LineJoin` objects that indicates the line join styles that are supported by a given implementation.
`LinePattern[]` | `getSupportedLinePatterns()` Returns an array of `LinePattern` objects that indicates the line patterns that are supported by a given implementation.
`LineStyle[]` | `getSupportedLineStyles()` Returns an array of `LineStyle` objects that indicates the line styles that are supported by a given implementation.
`Mark[]` | `getSupportedMarks()` Returns an array of `Mark` objects that indicates the marks that are supported by a given implementation.
`Class[]` | `getSupportedPrimitives()` Returns an array of `Class` objects for the primitive interfaces that are supported by a given implementation.
`SymbologyInfo[]` | `getSupportedSymbologies()` Returns an array of `SymbologyInfo` objects that this implementations supports.
`XAnchor[]` | `getSupportedXAnchors()` Returns an array of `XAnchor` objects that indicates the X anchors that are supported by a given implementation.
`YAnchor[]` | `getSupportedYAnchors()` Returns an array of `YAnchor` objects that indicates the Y anchors that are supported by a given implementation.
`boolean` | `isBacklightingSupported()` Returns true if a given implementation supports drawing primitives in "backlit" mode, using the "isBacklighting" attribute of the `GraphicStyle` interface.
`boolean` | `isBlinkSupported()` Returns true if a given implementation supports the "blink" attribute of the `GraphicStyle` interface.
`boolean` | `isDashPatternSupported()` Returns true if a given implementation will honor the "dashPattern" attribute of the `GraphicStyle` interface.
`boolean` | `isEventManagerSupported(Class eventManagerClass)` Returns true if a given implementation supports the given `EventManager` type.
`boolean` | `isGradientSupported()` Returns true if a given implementation support drawing primitives filled with a gradient as specified by in the `GraphicStyle` interface.
`boolean` | `isLineGapSupported()` Returns true if a given implementation will honor the "lineGap" attribute of the `GraphicStyle` interface.
`boolean` | `isLineWidthSupported()` Returns true if a given implementation will honor the "lineWidth" attribute of the `GraphicStyle` interface.

Method Detail

### getSupportedCanvases

    Class[] getSupportedCanvases()

  Returns an array of `Class` objects for the `Canvas` interfaces that are supported by a given implementation.

  Returns:
    an array of `Canvas` interfaces

### getSupportedPrimitives

    Class[] getSupportedPrimitives()

  Returns an array of `Class` objects for the primitive interfaces that are supported by a given implementation.

### isEventManagerSupported

    boolean isEventManagerSupported(Class eventManagerClass)

  Returns true if a given implementation supports the given `EventManager` type.

### isBacklightingSupported

    boolean isBacklightingSupported()

  Returns true if a given implementation supports drawing primitives in "backlit" mode, using the "isBacklighting" attribute of the `GraphicStyle` interface.

### isLineWidthSupported

    boolean isLineWidthSupported()

  Returns true if a given implementation will honor the "lineWidth" attribute of the `GraphicStyle` interface.

### isLineGapSupported

    boolean isLineGapSupported()

  Returns true if a given implementation will honor the "lineGap" attribute of the `GraphicStyle` interface.

### getSupportedArrowStyles

    ArrowStyle[] getSupportedArrowStyles()

  Returns an array of `ArrowStyle` objects that indicates the arrow styles that are supported by a given implementation.

### getSupportedLineStyles

    LineStyle[] getSupportedLineStyles()

  Returns an array of `LineStyle` objects that indicates the line styles that are supported by a given implementation.

### getSupportedLineJoins

    LineJoin[] getSupportedLineJoins()

  Returns an array of `LineJoin` objects that indicates the line join styles that are supported by a given implementation.

### getSupportedLineCaps

    LineCap[] getSupportedLineCaps()

  Returns an array of `LineCap` objects that indicates the line cap styles that are supported by a given implementation.

### isDashPatternSupported

    boolean isDashPatternSupported()

  Returns true if a given implementation will honor the "dashPattern" attribute of the `GraphicStyle` interface.

### isBlinkSupported

    boolean isBlinkSupported()

  Returns true if a given implementation supports the "blink" attribute of the `GraphicStyle` interface.

### getSupportedFillStyles

    FillStyle[] getSupportedFillStyles()

  Returns an array of `FillStyle` objects that indicates the fill styles supported by a given implementation.

### getSupportedFillPatterns

    FillPattern[] getSupportedFillPatterns()

  Returns an array of `FillPattern` objects that indicates the fill patterns that are supported by a given implementation.

### getSupportedMarks

    Mark[] getSupportedMarks()

  Returns an array of `Mark` objects that indicates the marks that are supported by a given implementation.

### getSupportedLinePatterns

    LinePattern[] getSupportedLinePatterns()

  Returns an array of `LinePattern` objects that indicates the line patterns that are supported by a given implementation.

### getSupportedXAnchors

    XAnchor[] getSupportedXAnchors()

  Returns an array of `XAnchor` objects that indicates the X anchors that are supported by a given implementation.

### getSupportedYAnchors

    YAnchor[] getSupportedYAnchors()

  Returns an array of `YAnchor` objects that indicates the Y anchors that are supported by a given implementation.

### isGradientSupported

    boolean isGradientSupported()

  Returns true if a given implementation support drawing primitives filled with a gradient as specified by in the `GraphicStyle` interface.

### getDefaultGraphicStyle

    GraphicStyle getDefaultGraphicStyle()

  Returns an `GraphicStyle` object, configured to the defaults for the `DisplayFactory` for this `Capabilities` instance.

### getSupportedSymbologies

    SymbologyInfo[] getSupportedSymbologies()

  Returns an array of `SymbologyInfo` objects that this implementations supports.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.